# Updates a billing run with the specified ID. This method will update an existing billing run with the specified ID. Endpoint: PUT /billingRuns/{tenantId}/{id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. - `id` (string, required) The ID of the billing run to update. ## Request fields (application/json): - `auto_renewal_options` (object, required) - `auto_renewal_options.auto_renewal_failure_notice_id` (string) The notice to send when a membership is NOT successfully renewed - `auto_renewal_options.auto_renewal_success_notice_id` (string) The notice to send when a membership is successfully renewed - `auto_renewal_options.expiration_date_range_end` (string, required) The date to use to filter out which memberships are candidate - `auto_renewal_options.expiration_date_range_start` (string, required) The date to use to filter out which memberships are candidate - `auto_renewal_options.include_only_certain_membership_packages` (boolean) Whether the process should apply only to certain member packages - `auto_renewal_options.include_only_certain_membership_types` (boolean) Whether the process should apply only to certain member types - `auto_renewal_options.include_only_certain_status_reasons` (boolean) Whether the process should apply only to certain member status reasons - `auto_renewal_options.membership_package_ids` (array) - `auto_renewal_options.membership_type_ids` (array) - `auto_renewal_options.new_status_reason_id` (string) Change the status reason - `auto_renewal_options.status_reason_ids` (array) - `auto_renewal_reminder_options` (object, required) - `auto_renewal_reminder_options.reminders` (array, required) - `auto_renewal_reminder_options.reminders.id` (number) A unique, unchangeable reminder id - `auto_renewal_reminder_options.reminders.name` (string) Optional name - `auto_renewal_reminder_options.reminders.reminder_notice_id` (string, required) The reminder notice - `batch_id` (string) The batch to use - `drop_options` (object, required) - `drop_options.deactivate_certifications` (boolean) If true, any active certifications held by this member are rendered inactive - `drop_options.drop_notice_id` (string) The notice to send when the drop occurs - `drop_options.expire_committee_memberships` (boolean) If true, dropped members are renewed from any committees, including any inherited memberships - `error` (string) The error message - `error_stack` (string) The error stack - `expiring_credit_card_reminders_options` (object, required) - `generate_renewal_notices` (boolean) Whether this template should be generating renewal notices - `generate_renewal_orders` (boolean) Whether this template should be generating renewal orders - `id` (string, required) The unique, string identifier of this billing run - `last_refresh_date` (string) The last time the billing run was refreshed - `name` (string, required) The name of the billing run - `notification_email` (string) Te address to send notifications - `perform_auto_renewals` (boolean) Whether this template should be performing auto renewals - `perform_drops` (boolean) Whether this template should be dropping expired members - `preprocessing_date` (string) The date this billing run was actually processed - `recurring_billing_run_id` (string) If this was part of a recurring billing run, the ID - `renewal_notice_options` (object, required) - `renewal_notice_options.renewal_notice_id` (string) The notice to send when a renewal order is created - `renewal_order_options` (object, required) - `renewal_order_options.pro_forma` (boolean) Whether or not this should generate pro forma orders/invoices - `renewal_order_options.renewal_order_notice_id` (string) The notice to send when a renewal order is created - `renewal_reminder_options` (object, required) - `run_date` (string) The date of the billing run - `scheduled_preprocessing_date` (string) The date which this billing run should be preprocessed - `scheduled_run_date` (string) The date the billing run is scheduled for execution - `send_auto_renewal_reminders` (boolean) Whether this template should be generating reminders - `send_expiring_credit_card_reminders` (boolean) Whether to warn that someone's card is going to expire - `send_renewal_reminders` (boolean) Whether this template should be generating reminders - `statistics` (object) - `statistics.all_actions` (object) - `statistics.all_actions.error` (number) - `statistics.all_actions.excluded` (number) - `statistics.all_actions.pending` (number) - `statistics.all_actions.processing` (number) - `statistics.all_actions.successful` (number) - `statistics.all_actions.total` (number) - `statistics.auto_renewal_reminders` (object) - `statistics.auto_renewals` (object) - `statistics.drops` (object) - `statistics.expiring_credit_card_reminders` (object) - `statistics.renewal_notices` (object) - `statistics.renewal_orders` (object) - `statistics.renewal_reminders` (object) - `status` (string, required) Enum: "cancelled", "completed", "draft", "error", "preprocessing", "ready for execution", "running", "scheduled", "scheduled for execution", "timed out" - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `template_id` (string) The id of the template that generated this billing run ## Response 200 fields (application/json): - `auto_renewal_options` (object, required) - `auto_renewal_options.auto_renewal_failure_notice_id` (string) The notice to send when a membership is NOT successfully renewed - `auto_renewal_options.auto_renewal_success_notice_id` (string) The notice to send when a membership is successfully renewed - `auto_renewal_options.expiration_date_range_end` (string, required) The date to use to filter out which memberships are candidate - `auto_renewal_options.expiration_date_range_start` (string, required) The date to use to filter out which memberships are candidate - `auto_renewal_options.include_only_certain_membership_packages` (boolean) Whether the process should apply only to certain member packages - `auto_renewal_options.include_only_certain_membership_types` (boolean) Whether the process should apply only to certain member types - `auto_renewal_options.include_only_certain_status_reasons` (boolean) Whether the process should apply only to certain member status reasons - `auto_renewal_options.membership_package_ids` (array) - `auto_renewal_options.membership_type_ids` (array) - `auto_renewal_options.new_status_reason_id` (string) Change the status reason - `auto_renewal_options.status_reason_ids` (array) - `auto_renewal_reminder_options` (object, required) - `auto_renewal_reminder_options.reminders` (array, required) - `auto_renewal_reminder_options.reminders.id` (number) A unique, unchangeable reminder id - `auto_renewal_reminder_options.reminders.name` (string) Optional name - `auto_renewal_reminder_options.reminders.reminder_notice_id` (string, required) The reminder notice - `batch_id` (string) The batch to use - `drop_options` (object, required) - `drop_options.deactivate_certifications` (boolean) If true, any active certifications held by this member are rendered inactive - `drop_options.drop_notice_id` (string) The notice to send when the drop occurs - `drop_options.expire_committee_memberships` (boolean) If true, dropped members are renewed from any committees, including any inherited memberships - `error` (string) The error message - `error_stack` (string) The error stack - `expiring_credit_card_reminders_options` (object, required) - `generate_renewal_notices` (boolean) Whether this template should be generating renewal notices - `generate_renewal_orders` (boolean) Whether this template should be generating renewal orders - `id` (string, required) The unique, string identifier of this billing run - `last_refresh_date` (string) The last time the billing run was refreshed - `name` (string, required) The name of the billing run - `notification_email` (string) Te address to send notifications - `perform_auto_renewals` (boolean) Whether this template should be performing auto renewals - `perform_drops` (boolean) Whether this template should be dropping expired members - `preprocessing_date` (string) The date this billing run was actually processed - `recurring_billing_run_id` (string) If this was part of a recurring billing run, the ID - `renewal_notice_options` (object, required) - `renewal_notice_options.renewal_notice_id` (string) The notice to send when a renewal order is created - `renewal_order_options` (object, required) - `renewal_order_options.pro_forma` (boolean) Whether or not this should generate pro forma orders/invoices - `renewal_order_options.renewal_order_notice_id` (string) The notice to send when a renewal order is created - `renewal_reminder_options` (object, required) - `run_date` (string) The date of the billing run - `scheduled_preprocessing_date` (string) The date which this billing run should be preprocessed - `scheduled_run_date` (string) The date the billing run is scheduled for execution - `send_auto_renewal_reminders` (boolean) Whether this template should be generating reminders - `send_expiring_credit_card_reminders` (boolean) Whether to warn that someone's card is going to expire - `send_renewal_reminders` (boolean) Whether this template should be generating reminders - `statistics` (object) - `statistics.all_actions` (object) - `statistics.all_actions.error` (number) - `statistics.all_actions.excluded` (number) - `statistics.all_actions.pending` (number) - `statistics.all_actions.processing` (number) - `statistics.all_actions.successful` (number) - `statistics.all_actions.total` (number) - `statistics.auto_renewal_reminders` (object) - `statistics.auto_renewals` (object) - `statistics.drops` (object) - `statistics.expiring_credit_card_reminders` (object) - `statistics.renewal_notices` (object) - `statistics.renewal_orders` (object) - `statistics.renewal_reminders` (object) - `status` (string, required) Enum: "cancelled", "completed", "draft", "error", "preprocessing", "ready for execution", "running", "scheduled", "scheduled for execution", "timed out" - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `template_id` (string) The id of the template that generated this billing run ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields